apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: minimal-ingress
  annotations:
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: "letsencrypt"
spec:
  tls:
    - hosts:
      - reymota.ddns.net
      secretName: letsencrypt
  rules:
    - host: reymota.ddns.net
      http:
        paths:
        - path: /
          pathType: Prefix
          backend:
            service:
              name: nginx-example
              port:
                number: 443
